For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETGet Contact Card
      • PUTPut Contact Card
      • DELDelete Contact Card
LogoLogo
HomeGet API key
API ReferenceContact Cards

Get Contact Card

GET
https://api.agentphone.ai/v1/numbers/:number_id/contact-card
GET
/v1/numbers/:number_id/contact-card
1import { AgentPhoneClient } from "agentphone";
2
3async function main() {
4 const client = new AgentPhoneClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.contactCards.getContactCard("number_id");
8}
9main();
1{
2 "firstName": "Emily",
3 "lastName": "Johnson",
4 "displayName": "Emily J.",
5 "hasAvatar": true
6}
Fetch the iMessage contact card set on this number.
Was this page helpful?
Previous

Put Contact Card

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

number_idstringRequired

Response

Successful Response
firstNamestring or null
lastNamestring or null
displayNamestring or null
hasAvatarbooleanDefaults to false

Errors

422
Unprocessable Entity Error